#!D:/IDE/anaconda3/envs/Microscope_Scan python
# -*- coding: UTF-8 -*-
"""
@FileName：ChangedLanguageBusiness.py
@Description：
@Author：XSH
@Time：2025/12/2 17:46
@Department：研发部
@Copyright：©2025 乐辰生物
"""
from PyQt5 import Qt
from abc import abstractmethod, abstractclassmethod, abstractstaticmethod
from AppInterfaces.utils                    import *
from AppSettings.utils                      import *
from AppCore.Requests                       import *
from AppInterfaces.Interfaces               import *
from AppCore.Levels                         import *
from AppUtils.utils                         import *
from AppBackEnd.WebBusinessInterface import WebBusinessInterface


class ChangedLanguageBusiness(Qt.QObject, WebBusinessInterface):

    def __init__(self, manager: WebReaderInterface = None, parent: Qt.QObject = None):
        super(ChangedLanguageBusiness, self).__init__(parent=parent)
        self.Manager = manager
        self.Initialization("ChangedLanguageBusiness", self, parent)

    def initWEBAPILevel(self):
        self.Level = WebAPILevel.changedLanguage



    def Done(self, handler: WebClientInterface, **kwargs):
        isWrong: int = RECODE_FAILURE
        from AppSettings.SystemSetting import SystemSetting, SystemConfig
        try:
            self.Handler = handler
            language: int = AppConvert.ObjectConvert(kwargs.get('language', 0), int)
            SystemConfig.setEnglishMode(isEnglish)
            request: Response = Response.APIInstance(self.Level, **{'language': language})
            self.WebSendFrame(request.toJson())
            isWrong = RECODE_SUCCEED
        except Exception as e:

            AppUtils.print_Exception(e)
        return
    def WaitDone(self, handler: WebClientInterface, **args) -> int:
        isWrong: int = RECODE_FAILURE

        from AppSettings.SystemSetting import SystemSetting, SystemConfig
        try:
            self.Handler = handler
            language: int = AppConvert.ObjectConvert(kwargs.get('language', 0), int)
            SystemConfig.setEnglishMode(isEnglish)
            request: Response = Response.APIInstance(self.Level, **{'language': language})
            self.WebSendFrame(request.toJson())
            isWrong = RECODE_SUCCEED
        except Exception as e:

            AppUtils.print_Exception(e)
        return isWrong


    """
    
    
    
    
    
    
    
    """















